/* You can add global styles to this file, and also import other style files */
body {
  font-size: 12px;
}

.layout-wrapper .layout-main {
  padding: 70px 15px 15px 15px;
}

body .ui-widget-content,
.ui-widget,
body .ui-widget .ui-widget {
  font-size: 12px;
}

.p-grid {
  margin-top: 0em;
  margin-right: 0em;
}

.p-col-1,
.p-col-2,
.p-col-3,
.p-col-4,
.p-col-5,
.p-col-6,
.p-col-7,
.p-col-8,
.p-col-9,
.p-col-10,
.p-col-11,
.p-col-12 {
  /* padding: .2em; */
  padding: 0.15em 0 0.15em 0.5em;
}

.ui-g {
  margin-top: 0em;
}

.ui-g-1,
.ui-g-2,
.ui-g-3,
.ui-g-4,
.ui-g-5,
.ui-g-6,
.ui-g-7,
.ui-g-8,
.ui-g-9,
.ui-g-10,
.ui-g-11,
.ui-g-12 {
  /* padding: .2em; */
  padding: 0.15em 0 0.15em 0.5em;
}

/*.layout-main {
   background: url(assets/img/background_sakti2.png) no-repeat center top;
  background-size: cover;
  height: 650px;
}*/
.ui-card-body {
  box-shadow: none;
}

.historyLogin {
  float: left;
  margin-top: 8px;
  margin-left: 24px;
  position: relative;
  color: #fff;
  font-size: 11px;
}

.layout-wrapper .topbar .topbar-right #menu-button {
  width: 24px;
  height: 24px;
  /* left: 284px; */
  margin-top: 5px;
}

.layout-wrapper .topbar .topbar-right #menu-button i {
  font-size: 24px;
}

.layout-wrapper .layout-menu li a {
  display: block;
  padding: 7px 10px 3px 3px;
}

.layout-wrapper .layout-menu li a.more-menu {
  padding-top: 20px;
  padding-left: 20px;
  padding-bottom: 10px;
  padding-right: 70px;
  cursor: pointer;
  font-size: 14px;
}

.layout-wrapper .layout-menu li a.more-menu.apps {
  padding-top: 10px;
  padding-left: 20px;
  padding-bottom: 10px;
  padding-right: 20px;
  cursor: pointer;
  font-size: 12px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.layout-wrapper .layout-menu li a.more-menu.setting {
  padding-top: 12px;
  padding-left: 20px;
  padding-bottom: 10px;
  padding-right: 20px;
  cursor: pointer;
  font-size: 14px;
}

.layout-wrapper .layout-menu li a.more-menu.qna {
  padding-top: 12px;
  padding-left: 20px;
  padding-bottom: 10px;
  padding-right: 20px;
  cursor: pointer;
  font-size: 14px;
  display: flex;
}

.layout-wrapper .layout-menu li a.ask-hai {
  padding-top: 10px;
  padding-bottom: 10px;
  cursor: pointer;
  font-size: 14px;
}

.switch-theme-topbar {
  padding-top: 10px;
  padding-left: 5px;
  padding-bottom: 10px;
  padding-right: 15px;
  cursor: pointer;
  font-size: 14px;
}

.layout-wrapper .layout-menu li a.more-menu .logo {
  height: 50px;
  width: 50px;
  display: block;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

.layout-wrapper .layout-menu li a.ask-hai .logo {
  height: 25px;
  width: 50px;
  display: block;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

.layout-wrapper .layout-menu li a i.menuitem-toggle-icon {
  font-size: 12px;
}

.layout-wrapper .layout-menu li a span {
  display: contents;
}

.layout-wrapper .layout-menu li a i:first-child {
  margin-right: 5px;
  font-size: 12px;
}

.layout-wrapper .layout-menu li ul li a {
  padding: 3px 15px 3px 20px;
}

.layout-wrapper .layout-menu li ul li a i:first-child {
  margin-right: 5px;
  font-size: 12px;
}

.layout-wrapper .layout-menu li ul li ul li a {
  padding-left: 38px;
}

.layout-wrapper .layout-menu {
  font-size: 12px;
}

.layout-wrapper.menu-layout-static.layout-menu-static-inactive
  .layout-menu-container {
  margin-left: -305px;
}

body .ui-table .ui-table-thead > tr > th,
body .ui-table .ui-table-tbody > tr > td,
body .ui-table .ui-table-tfoot > tr > td {
  padding: 3px 2px;
  font-size: 11px;
}

body .ui-table .ui-table-thead > tr > th,
body .ui-table .ui-table-tfoot > tr > td {
  color: #666;
  background: #ddd;
}

/* body .ui-messages.ui-messages-warn { */
/* background-color: #fcf8e3; */
/* background-color: #cc0000; */
/* color: #8a6d3b; */
/* color: #fff; */
/* } */
body .ui-treetable .ui-treetable-tbody > tr > td {
  padding: 3px 8px;
}

body .ui-treetable p-treeTableToggler {
  margin-left: -20px;
}

body .ui-table .ui-paginator {
  margin: 0;
}

body .ui-treetable .ui-treetable-tbody > tr > td {
  padding: 3px 8px;
}

.ui-tabview.ui-tabview-top .ui-tabview-nav li a {
  padding: 5px 10px;
  font-size: 1em;
}

body .ui-unselectable-text {
  margin-left: 0px;
}

.ui-g.form-group > div {
  padding: 5px;
}

.ui-paginator .ui-paginator-pages {
  height: auto;
}

.tableJeje .ui-paginator {
  text-align: right !important;
}

.tableJeje p-dropdown {
  position: absolute !important;
  /* //float: left !important; */
  left: 10px !important;
}

.tableJeje p-dropdown::before {
  content: "Per page :";
}

.tableJeje p-dropdown::after {
  content: "";
}

.buttonJeje app-crud-button .ui-toolbar {
  background-color: transparent !important;
  border: none !important;
  padding: 10px 0px !important;
}

body .ui-tabview.ui-tabview-top .ui-tabview-nav li a,
body .ui-tabview.ui-tabview-bottom .ui-tabview-nav li a,
body .ui-tabview.ui-tabview-left .ui-tabview-nav li a,
body .ui-tabview.ui-tabview-right .ui-tabview-nav li a {
  padding: 8px 20px;
  color: #0782cf;
  font-weight: bold;
}

body .ui-tabview.ui-tabview-top .ui-tabview-nav li.ui-state-active,
body .ui-tabview.ui-tabview-bottom .ui-tabview-nav li.ui-state-active,
body .ui-tabview.ui-tabview-left .ui-tabview-nav li.ui-state-active,
body .ui-tabview.ui-tabview-right .ui-tabview-nav li.ui-state-active {
  background-color: #eef2f6;
}

.ui-tabview-nav .ui-state-disabled a {
  color: grey !important;
}

.ui-tabview-nav .ui-state-disabled {
  outline: none !important;
}

.card {
  padding: 0;
}

body .ui-fieldset {
  /* padding: 0 0 0.5em 0; */
  margin: 0;
  margin-top: 5px;
}

body .ui-fieldset .ui-fieldset-content {
  padding: 5px 10px;
}

.ui-fieldset-toggleable .ui-fieldset-legend a {
  padding: 0.2em 1em 0.3em 0.5px;
}

body .ui-fieldset .ui-fieldset-legend {
  font-weight: bold;
  font-size: 100%;
  padding: 0;
  padding-right: 15px;
  padding-left: 15px;
  padding-top: 2px;
  padding-bottom: 4px;
}

body .ui-button.ui-button-text-only .ui-button-text {
  padding: 3px 8px;
}

body .ui-button.ui-button-text-icon-left .ui-button-text {
  padding: 3px 25px;
}

body .ui-inputtext .ui-button.ui-button-text-only .ui-button-text {
  padding: 0 12px;
}

.ui-fluid .ui-inputtext {
  font-size: 12px;
}

body .ui-inputtext {
  padding: 3px 7px;
}

textarea {
  /* width: 100%;  */
  border: thin solid #ccc;
  border-radius: 4px;
}

body .ui-button.ui-button-icon-only .ui-button-text {
  padding: 3px 6px;
}

body .ui-dialog .ui-dialog-titlebar {
  padding: 0.5em 1em;
}

th {
  background: #4d9fff;
}

.layout-wrapper .topbar .topbar-right #topbar-menu-button i {
  font-size: 30px;
}

.layout-wrapper .layout-footer {
  padding: 5px 20px;
}

.layout-footer {
  bottom: 0px;
  position: fixed;
  min-width: 100%;
  margin: 0 auto;
  background: #fff;
}

.ui-fluid .ui-button {
  width: auto;
}

.ui-toast-message {
  white-space: pre-wrap;
}

label {
  font-weight: bold;
}

#dp_widget_container iframe[name="widget_trigger_iframe"] {
  display: none !important;
}

.layout-wrapper .layout-footer .footer-text-right img {
  cursor: pointer;
  height: 25px;
  opacity: 0.7;
  border: 1px solid #0073ff;
  border-radius: 20px;
  padding: 2px 15px;
}

.layout-wrapper .layout-footer .footer-text-right img:hover,
.layout-wrapper .layout-footer .footer-text-right img:active,
.layout-wrapper .layout-footer .footer-text-right img:focus {
  opacity: 1;
  transform: scale(1.1);
  transition: all 0.7s ease;
}

@media (min-width: 1025px) {
  .layout-wrapper.menu-layout-static .layout-footer {
    /* padding-right: 250px; */
    transition: all 0.3s;
  }

  .layout-wrapper.menu-layout-static.layout-menu-static-inactive
    .layout-footer {
    padding-right: 20px;
    transition: all 0.3s;
  }
}

ul.search-sidebar {
  position: relative;
}

ul.search-sidebar li {
  position: relative;
  list-style: none;
  display: table;
  margin: 10px 0;
  padding-right: 5px;
  cursor: pointer;
}

ul.search-sidebar li::before {
  content: "";
  position: absolute;
  top: 2px;
  left: -30px;
  width: 16px;
  height: 16px;
  background: transparent;
  border-radius: 34px;
  transition: background 0.5s, width 0.5s;
  border: 2px solid #2e76ee;
  box-sizing: border-box;
}

ul.search-sidebar li:hover:before {
  background: #2e76ee;
  transition-delay: 0s, 0.5s;
}

ul.search-sidebar li a {
  position: relative;
  z-index: 10;
  padding: 5px 10px;
}

.layout-wrapper .layout-menu-container::-webkit-scrollbar {
  display: none;
}

.card-login {
  background: rgba(255, 255, 255, 0.5);
  padding: 1.5em;
  box-shadow: 0 5px 10px 0 rgba(130, 133, 136, 0.5),
    0 5px 10px 0 rgb(202, 220, 243);
  border-radius: 4px;
}

.theme-switcher-wrap {
  width: 100%;
  text-align: right;
}

.theme-switcher-wrap .theme-switcher {
  display: inline-block;
  cursor: pointer;
}

.theme-switcher-wrap .theme-switcher .switch-path {
  width: 60px;
  height: 30px;
  border-radius: 15px;
  background-color: #a3bddd;
}

.theme-switcher-wrap .theme-switcher .switch-path .switch-handle {
  background-color: #eaf0f9;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  transition: all 0.3s ease-in-out;
}

.theme-switcher-wrap .theme-switcher .theme-switcher {
  display: none;
}

.theme-switcher-wrap .theme-switcher.active .switch-path {
  background-color: #303134;
}

.theme-switcher-wrap .theme-switcher.active .switch-handle {
  transform: translateX(30px);
  background-color: #161616;
}

.card-login.theme-dark {
  background: rgba(33, 39, 53, 0.5);
  padding: 1.5em;
  box-shadow: 0 5px 10px 0 rgba(47, 59, 89, 0.5), 0 5px 10px 0 rgb(47, 59, 89);
  border-radius: 4px;
  color: white;
}

.theme-switcher-wrap-top {
  width: 100%;
  text-align: right;
}

.theme-switcher {
  display: inline-block;
  cursor: pointer;
}

.theme-switcher .switch-path {
  width: 40px;
  height: 24px;
  border-radius: 15px;
  background-color: #a3bddd;
}

.theme-switcher .switch-path .switch-handle {
  background-color: #eaf0f9;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  transition: all 0.3s ease-in-out;
}

.theme-switcher .theme-switcher {
  display: none;
}

.theme-switcher.active .switch-path {
  background-color: #303134;
}

.theme-switcher.active .switch-handle {
  transform: translateX(20px);
  background-color: #161616;
}

.list-user ul {
  position: relative;
  padding-inline-start: 0px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.list-user ul li {
  list-style: none;
  padding: 10px;
  width: 90%;
  box-shadow: 0 5px 25px rgba(0, 0, 0, 0.1);
  transition: transform 1250ms;
  margin-bottom: 10px;
  border-radius: 5px;
}

.list-user ul li:hover {
  transform: scale(1.05);
  z-index: 100;
  background: #00469d;
  color: #fff;
  box-shadow: 0 5px 25px rgba(0, 0, 0, 0.2);
  cursor: pointer;
}

.list-user ul li.selected {
  transform: scale(1.05);
  z-index: 100;
  cursor: not-allowed;
}

.list-user ul li:active {
  transform: scale(1.05);
  z-index: 100;
  background: #00295c;
  color: #fff;
  box-shadow: 0 5px 25px rgba(0, 0, 0, 0.2);
}

li.kelPeng {
  list-style: none;
  box-shadow: 0 5px 25px rgba(0, 0, 0, 0.1);
  transition: transform 0.5s;
  margin-bottom: 10px;
  border-radius: 5px;
}

.load-saktidot {
  display: flex;
  background: #fff;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}

.dot {
  width: 25px;
  height: 25px;
  display: inline-block;
  border-radius: 50%;
  margin: 0 10px 0 10px;
}

.dot1 {
  background-color: #dfdfdf;
  animation: jump-up 0.6s 0.1s linear infinite;
}

.dot2 {
  background-color: #bb2eff;
  animation: jump-up 0.6s 0.2s linear infinite;
}

.dot3 {
  background-color: #004fff;
  animation: jump-up 0.6s 0.3s linear infinite;
}
.dot4 {
  background-color: #06e6ff;
  animation: jump-up 0.6s 0.1s linear infinite;
}
.dot5 {
  background-color: #3cffb9;
  animation: jump-up 0.6s 0.2s linear infinite;
}
.dot6 {
  background-color: #a1ff3c;
  animation: jump-up 0.6s 0.3s linear infinite;
}
.dot7 {
  background-color: #fffa3c;
  animation: jump-up 0.6s 0.1s linear infinite;
}
.dot8 {
  background-color: #ffd43d;
  animation: jump-up 0.6s 0.2s linear infinite;
}
.dot9 {
  background-color: #ff8501;
  animation: jump-up 0.6s 0.3s linear infinite;
}

@keyframes jump-up {
  50% {
    transform: translate(0, 15px);
  }
}

.load-circle {
  position: relative;
  display: flex;
  height: 100vh;
  justify-content: center;
  align-items: center;
}

.load-ring {
  width: 200px;
  height: 200px;
  border: 0px solid #fff;
  border-radius: 50%;
  position: absolute;
}

.load-ring:nth-child(1) {
  border-bottom-width: 8px;
  border-color: #00469d;
  animation: rotate1 2s linear infinite;
}

.load-ring:nth-child(2) {
  border-right-width: 8px;
  border-color: #0073ff;
  animation: rotate2 2s linear infinite;
}

.load-ring:nth-child(3) {
  border-top-width: 8px;
  border-color: #009eff;
  animation: rotate3 2s linear infinite;
}

@keyframes rotate1 {
  0% {
    transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
  }
}

@keyframes rotate2 {
  0% {
    transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
  }
}

@keyframes rotate3 {
  0% {
    transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
  }
}

.topbar-hai {
  background-image: url("../img/haiyellow.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  height: 24px;
  width: 50px;
}

.bantuan.video {
  background-image: url("../img/bantuan/video_sakti.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  height: 2em;
  width: 4em;
}

.bantuan.juknis {
  /* background-image: url("/assets/img/bantuan/juknis_sakti.png"); */
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  height: 2em;
  width: 4em;
}

.bantuan.hai {
  background-image: url("../img/logo-hai.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  height: 2em;
  width: 4em;
}

/* .profile-info {
  margin-right: 16px;
} */

.warning-confirmation {
  background-color: #f8b7bd;
  font-size: 16px;
  padding: 10px;
  margin: 1px 8px 10px 1px;
}

sakti-anggaran-root #ang-belanja .ui-button-icon-left.ui-clickable.pi {
  font-size: 24px !important;
}
